Skip to main content
POST
Execute Session File

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

session_id
string
required

Query Parameters

update_metadata
boolean
default:true

Body

application/json
action
UploadFileAction · object
required
target_id
string
required
Required string length: 1 - 256
record
boolean
default:true

Response

Successful Response

started_at
string<date-time>
required
ended_at
string<date-time>
required
action
FormFillAction · object
required
success
boolean
required
message
string
required
data
DataSpace · object | null
exception
string | null
exception_detail
SerializedError · object | null
captcha
CaptchaStatus · object | null
action_executed
boolean | null
code
string | null